Port packaging for remaining KDE applications games (+ extras) to KF5
Closed, ResolvedPublic

Description

On KCI, the following unstable builds (will be apps 17.08) fail as their code is now ported to KF5, but the packaging is not:

Games:

  • ksnakeduel - gsilvapt
  • ksudoku
  • konquest
  • kspaceduel
  • lskat
  • kigo - clivejo

Apps:

  • kmag

Plus for 17.04 & 17.08 apps

  • kajongg (note: this fails on install phase. may need better python support in FW, or some better magic in debian/rules. so best to skip trying this for one for now if you are learning)
rikmills created this task.May 27 2017, 7:21 PM
rikmills updated the task description. (Show Details)May 27 2017, 7:24 PM

Is there a list of applications remaining on the ISO that require KF4?

Is there a list of applications remaining on the ISO that require KF4?

Darin was looking at that. See: https://phabricator.kde.org/T5188

clivej updated the task description. (Show Details)Jun 9 2017, 10:24 PM
clivej updated the task description. (Show Details)Jun 10 2017, 1:14 AM

I am working on ksudoku. I successfully built it locally but game does not run correctly: it launches but nothing is drawn in window once game type is selected.

Reviewing the .build file (https://paste.ubuntu.com/24821047/) shows a very large missing list (=== Start list-missing section). Not sure how to proceed.

Are there two kspaceduels or is there a double entry?

clivej updated the task description. (Show Details)Jun 11 2017, 10:55 PM
rikmills updated the task description. (Show Details)Jun 12 2017, 11:41 PM
gsilvapt added a comment.EditedJun 18 2017, 12:13 AM

The following packages are building in artful_unstable:

  1. ksnakeduel
  2. ksudoku
  3. konquest
  4. kspaceduel
  5. lskat
  6. kmag

Not sure if we can mark these as complete it is worthy for the sake of information.

rikmills closed this task as Resolved.Feb 15 2018, 7:24 PM
rikmills claimed this task.